# The "d" Package

These routines are meant to provide a mechanism for a process to enter daemon mode (ie. to dissociate from a controlling terminal).

Library: karma
Link With: -lkarma

#### Functions

d_enter_daemon_mode | Enter daemon mode.
d_test_daemon_mode | Test if the module is running in daemon mode.

## Functions

void d_enter_daemon_mode ()

This routine will cause the module to enter daemon mode. This involves detatching from a terminal.

Parameters:

This function takes no parameters

Returns: Nothing.
Multithreading Level: Unsafe

flag d_test_daemon_mode ()

Test if the module is running in daemon mode.

Parameters:

This function takes no parameters

Returns: TRUE if the module is running in daemon mode, else FALSE.
Multithreading Level: Unsafe

Back to Karma Home Page